Bug 157493 - CAN-2004-1948 ncftp url infromation disclosure
Summary: CAN-2004-1948 ncftp url infromation disclosure
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ncftp   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Ben Levenson
URL:
Whiteboard: impact=low,public=20040419,source=cve...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 00:31 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-17 02:03:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-05-12 00:31:48 UTC
+++ This bug was initially created as a clone of Bug #157492 +++

NcFTP client 3.1.6 and 3.1.7, when the username and password are included in an
FTP URL that is provided on the command line, allows local users to obtain
sensitive information via "ps aux," which displays the URL in the process list.

http://marc.theaimsgroup.com/?l=bugtraq&m=108247943201685&w=2

Comment 1 Josh Bressers 2005-06-17 02:03:56 UTC
This is basically a non issue.  Nobody should be providing sensitive information
such as this on the command line.  The only way to fix this is still insecure,
since there is a gap between startup and scribbling over ARGV.


Note You need to log in before you can comment on or make changes to this bug.